MediaWiki:Common.css: Difference between revisions

From Sprowston Heritage Wiki
Jump to navigation Jump to search
mNo edit summary
m Added float clear to h2 titles so they are rendered below image thumbs
 
(26 intermediate revisions by the same user not shown)
Line 1: Line 1:
/* CSS placed here will be applied to all skins */
/* CSS placed here will be applied to all skins */


.firstHeading {
body.page-Main_Page .firstHeading {
     /* display: none; */
     display: none;
}
 
h2 {
    clear: both;
}
}


Line 23: Line 27:
.mainpage_boxcontents hr {
.mainpage_boxcontents hr {
     border: 0;
     border: 0;
     border-bottom: 1px solid #eee;
     height: 1px;
    background-color: #ddd;
    margin: 15px auto;
    width: 75%;
}
}


Line 40: Line 47:


.mainpage_hubbox img {
.mainpage_hubbox img {
    margin-top: 10px;
     border-radius: 50%;
     border-radius: 50%;
}
.quote {
    background-color: #ddf5eb;
    border-style: solid;
    border-width: 1px;
    border-color: #ccc;
    padding: 14px;
    font-style: italic;
}
table.list {
    border-collapse: collapse;
}
.stub-frame {
    background-color: #E4F1FE;
    padding: 0px 10px;
    border: 1px solid #C5EFF7;
    margin-bottom: 20px;
}
.category-leadin {
    background-color: #F8F8EA;
    padding: 0px 10px;
    border: 1px solid #EBEBC6;
    margin-bottom: 20px;
}
.category-leadin h2 {
    margin-top: 0.5em;
    border-bottom: 0;
}
}

Latest revision as of 20:14, 27 September 2015

/* CSS placed here will be applied to all skins */

body.page-Main_Page .firstHeading {
    display: none;
}

h2 {
    clear: both;
}

.mainpage_box {
    dispaly: inline;
    border: 1px solid #ddd; 
    margin: 0.2em 10px 10px;
}

.mainpage_boxtitle {
    font-size: 1.5em;
    padding: 0.4em;
    background: #f8f8f8;
}

.mainpage_boxcontents {
    padding: 0.2em 0.4em;
}

.mainpage_boxcontents hr {
    border: 0;
    height: 1px;
    background-color: #ddd;
    margin: 15px auto;
    width: 75%;
}

.mainpage_hubbox {
    width: 25%;
    padding: 0;
    border: 1px solid #ddd;
}

.mainpage_hubtitle {
    text-align: center;
    padding: 0.4em;
    background-color: #f8f8f8;
    font-size: 1.15em;
}

.mainpage_hubbox img {
    margin-top: 10px;
    border-radius: 50%;
}

.quote {
    background-color: #ddf5eb;
    border-style: solid;
    border-width: 1px;
    border-color: #ccc;
    padding: 14px;
    font-style: italic;
}

table.list {
    border-collapse: collapse;
}

.stub-frame {
    background-color: #E4F1FE;
    padding: 0px 10px;
    border: 1px solid #C5EFF7;
    margin-bottom: 20px;
}

.category-leadin {
    background-color: #F8F8EA;
    padding: 0px 10px;
    border: 1px solid #EBEBC6;
    margin-bottom: 20px;
}

.category-leadin h2 {
    margin-top: 0.5em;
    border-bottom: 0;
}